DCMTK: DcmQueryRetrieveOptions Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | List of all members
DcmQueryRetrieveOptions Class Reference

this class encapsulates all the various options that affect the operation of the SCP, in addition to those defined in the config file More...

## Public Member Functions
| DcmQueryRetrieveOptions ()
| default constructor
| ~DcmQueryRetrieveOptions ()
| destructor

## Public Attributes
OFBool | allowShutdown_
| enable negotiation of private shutdown SOP class
OFBool | bitPreserving_
| bit preserving mode for incoming storage requests.
OFBool | correctUIDPadding_
| silently correct space-padded UIDs
OFBool | disableGetSupport_
| enable/disable C-GET support
OFCmdUnsignedInt | filepad_
| block size for file padding, pad DICOM files to multiple of this value
E_GrpLenEncoding | groupLength_
| group length encoding when writing DICOM files
OFBool | ignoreStoreData_
| ignore incoming data, receive but do not store (for debugging)
OFCmdUnsignedInt | itempad_
| block size for item padding, pad DICOM files to multiple of this value
int | maxAssociations_
| maximum number of parallel associations accepted
OFCmdUnsignedInt | maxPDU_
| maximum PDU size
T_ASC_Network * | net_
| pointer to network structure used for requesting C-STORE sub-associations
E_TransferSyntax | networkTransferSyntax_
| preferred transfer syntax for incoming associations
E_TransferSyntax | networkTransferSyntaxOut_
| preferred transfer syntax for outgoing associations
E_PaddingEncoding | paddingType_
| padding algorithm for writing DICOM files
OFBool | refuse_
| refuse all incoming associations
OFBool | rejectWhenNoImplementationClassUID_
| reject associations if implementatino class UID is missing
OFBool | requireFindForMove_
| refuse MOVE context if no corresponding FIND context is present
OFBool | restrictMoveToSameAE_
| restrict MOVE operations to same Application Entity
OFBool | restrictMoveToSameHost_
| restrict MOVE operations to same host
OFBool | restrictMoveToSameVendor_
| restrict MOVE operations to same vendor according to vendor table
E_EncodingType | sequenceType_
| sequence encoding when writing DICOM files
OFBool | singleProcess_
| single process mode
OFBool | supportPatientRoot_
| support for patient root q/r model
OFBool | supportPatientStudyOnly_
| support for patient/study only q/r model
OFBool | supportStudyRoot_
| support for study root q/r model
OFBool | useMetaheader_
| write DICOM files with DICOM metaheader
OFBool | keepDBHandleDuringAssociation_
| keep DB handle open for the complete lifetime of an association.
E_TransferSyntax | writeTransferSyntax_
| transfer syntax for writing
T_DIMSE_BlockingMode | blockMode_
| blocking mode for DIMSE operations
int | dimse_timeout_
| timeout for DIMSE operations
int | acse_timeout_
| timeout for ACSE operations
OFString | incomingProfile
| profile name for incoming association configuration
OFString | outgoingProfile
| profile name for outgoing association configuration
OFBool | secureConnectionRequested_
| secure connection requested?

## Private Member Functions
| DcmQueryRetrieveOptions (const DcmQueryRetrieveOptions &other)
| private undefined copy constructor
DcmQueryRetrieveOptions & | operator= (const DcmQueryRetrieveOptions &other)
| private undefined assignment operator

## Detailed Description

this class encapsulates all the various options that affect the operation of the SCP, in addition to those defined in the config file

## Member Data Documentation

## ◆ keepDBHandleDuringAssociation_

OFBool DcmQueryRetrieveOptions::keepDBHandleDuringAssociation_

keep DB handle open for the complete lifetime of an association.

If false, the DB handle is created and released for each incoming DIMSE message that is processed.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqropt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1